summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-nds/gosa-plugin-mail
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-nds/gosa-plugin-mail')
-rw-r--r--net-nds/gosa-plugin-mail/Manifest3
-rw-r--r--net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.10.ebuild50
-rw-r--r--net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.11.ebuild50
-rw-r--r--net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12-r1.ebuild52
-rw-r--r--net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12.ebuild53
-rw-r--r--net-nds/gosa-plugin-mail/metadata.xml11
6 files changed, 219 insertions, 0 deletions
diff --git a/net-nds/gosa-plugin-mail/Manifest b/net-nds/gosa-plugin-mail/Manifest
new file mode 100644
index 00000000000..d930f1f1618
--- /dev/null
+++ b/net-nds/gosa-plugin-mail/Manifest
@@ -0,0 +1,3 @@
+DIST gosa-plugin-mail-2.6.10.tar.bz2 166019 RMD160 14bb6f3041e7b6dc33297ac4cef166f9450c390e SHA1 23b2ce17198d64f426226f50de8171700a6ba0b0 SHA256 6b65e6aa37bf8b1b9f136f54500c89061567fb62969de009c8b61e2e44480ecd
+DIST gosa-plugin-mail-2.6.11.tar.bz2 168876 RMD160 0ac5c0df7e62a39ec0c406b5378fd934c1f9bc68 SHA1 2d2f4058f933aff0002ddee909cc83337647b34e SHA256 40f476c02880a08268989f069eebadc7be8be932df00ec65166ba505113e0d75
+DIST gosa-plugins-mail-2.6.12.tar.bz2 169052 RMD160 65ca0c766aafe9f7cf917b134ea420e08cb4a548 SHA1 21f8013d67812d2a2677d27baa30c7229ada0f7c SHA256 526d431ed7f940c78de59e4b9b2bf2fb9e7ae9f3de585ff7f98ee5a4ce3f4a34
diff --git a/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.10.ebuild b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.10.ebuild
new file mode 100644
index 00000000000..d1a6c6b817f
--- /dev/null
+++ b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.10.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+DESCRIPTION="GOsa plugin for Mail integration"
+HOMEPAGE="https://oss.gonicus.de/labs/gosa/wiki/WikiStart."
+SRC_URI="ftp://oss.gonicus.de/pub/gosa/${P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/${P}.tar.bz2
+ ftp://oss.gonicus.de/pub/gosa/archive/${P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/archive/${P}.tar.bz2 "
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="~net-nds/gosa-core-${PV}
+ ~net-nds/gosa-plugin-systems-${PV}"
+
+GOSA_COMPONENT="${PN/gosa-plugin-}"
+
+src_install() {
+ insinto /etc/gosa
+ doins -r etc/*
+
+ insinto /usr/share/gosa/html/plugins/${GOSA_COMPONENT}/
+ doins -r html/*
+
+ insinto /usr/share/gosa/locale/plugins/${GOSA_COMPONENT}/
+ doins -r locale/*
+
+ insinto /usr/share/gosa/plugins
+ doins -r addons admin personal
+
+ insinto /usr/share/gosa/doc/plugins/${GOSA_COMPONENT}/
+ doins help/guide.xml
+
+ dodoc contrib/*
+ insinto /usr/share/doc/${PF}
+ doins -r contrib/sieve_vacation
+}
+
+pkg_postinst() {
+ ebegin "Updating class cache and locales"
+ "${EROOT}"usr/sbin/update-gosa
+ eend $?
+}
diff --git a/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.11.ebuild b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.11.ebuild
new file mode 100644
index 00000000000..d1a6c6b817f
--- /dev/null
+++ b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.11.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+DESCRIPTION="GOsa plugin for Mail integration"
+HOMEPAGE="https://oss.gonicus.de/labs/gosa/wiki/WikiStart."
+SRC_URI="ftp://oss.gonicus.de/pub/gosa/${P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/${P}.tar.bz2
+ ftp://oss.gonicus.de/pub/gosa/archive/${P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/archive/${P}.tar.bz2 "
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="~net-nds/gosa-core-${PV}
+ ~net-nds/gosa-plugin-systems-${PV}"
+
+GOSA_COMPONENT="${PN/gosa-plugin-}"
+
+src_install() {
+ insinto /etc/gosa
+ doins -r etc/*
+
+ insinto /usr/share/gosa/html/plugins/${GOSA_COMPONENT}/
+ doins -r html/*
+
+ insinto /usr/share/gosa/locale/plugins/${GOSA_COMPONENT}/
+ doins -r locale/*
+
+ insinto /usr/share/gosa/plugins
+ doins -r addons admin personal
+
+ insinto /usr/share/gosa/doc/plugins/${GOSA_COMPONENT}/
+ doins help/guide.xml
+
+ dodoc contrib/*
+ insinto /usr/share/doc/${PF}
+ doins -r contrib/sieve_vacation
+}
+
+pkg_postinst() {
+ ebegin "Updating class cache and locales"
+ "${EROOT}"usr/sbin/update-gosa
+ eend $?
+}
diff --git a/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12-r1.ebuild b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12-r1.ebuild
new file mode 100644
index 00000000000..99d17179459
--- /dev/null
+++ b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+MY_P="${P/plugin/plugins}"
+
+DESCRIPTION="GOsa plugin for Mail integration"
+HOMEPAGE="https://oss.gonicus.de/labs/gosa/wiki/WikiStart."
+SRC_URI="ftp://oss.gonicus.de/pub/gosa/${MY_P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/${MY_P}.tar.bz2
+ ftp://oss.gonicus.de/pub/gosa/archive/${MY_P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/archive/${MY_P}.tar.bz2 "
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="~net-nds/gosa-core-${PV}
+ ~net-nds/gosa-plugin-systems-${PV}"
+
+S="${WORKDIR}/${MY_P}"
+GOSA_COMPONENT="${PN/gosa-plugin-}"
+
+src_install() {
+ insinto /etc/gosa
+ doins -r etc/*
+
+ insinto /usr/share/gosa/html/plugins/${GOSA_COMPONENT}/
+ doins -r html/*
+
+ insinto /usr/share/gosa/locale/plugins/${GOSA_COMPONENT}/
+ doins -r locale/*
+
+ insinto /usr/share/gosa/plugins
+ doins -r addons admin personal
+
+ insinto /usr/share/gosa/doc/plugins/${GOSA_COMPONENT}/
+ doins help/guide.xml
+
+ dodoc -r contrib/*
+ insinto /usr/share/doc/${PF}
+}
+
+pkg_postinst() {
+ ebegin "Updating class cache and locales"
+ "${EROOT}"usr/sbin/update-gosa
+ eend $?
+}
diff --git a/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12.ebuild b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12.ebuild
new file mode 100644
index 00000000000..5e1a5190780
--- /dev/null
+++ b/net-nds/gosa-plugin-mail/gosa-plugin-mail-2.6.12.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+MY_P="${P/plugin/plugins}"
+
+DESCRIPTION="GOsa plugin for Mail integration"
+HOMEPAGE="https://oss.gonicus.de/labs/gosa/wiki/WikiStart."
+SRC_URI="ftp://oss.gonicus.de/pub/gosa/${MY_P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/${MY_P}.tar.bz2
+ ftp://oss.gonicus.de/pub/gosa/archive/${MY_P}.tar.bz2
+ http://oss.gonicus.de/pub/gosa/archive/${MY_P}.tar.bz2 "
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="~net-nds/gosa-core-${PV}
+ ~net-nds/gosa-plugin-systems-${PV}"
+
+S="${WORKDIR}/${MY_P}"
+GOSA_COMPONENT="${PN/gosa-plugins-}"
+
+src_install() {
+ insinto /etc/gosa
+ doins -r etc/*
+
+ insinto /usr/share/gosa/html/plugins/${GOSA_COMPONENT}/
+ doins -r html/*
+
+ insinto /usr/share/gosa/locale/plugins/${GOSA_COMPONENT}/
+ doins -r locale/*
+
+ insinto /usr/share/gosa/plugins
+ doins -r addons admin personal
+
+ insinto /usr/share/gosa/doc/plugins/${GOSA_COMPONENT}/
+ doins help/guide.xml
+
+ dodoc contrib/*
+ insinto /usr/share/doc/${PF}
+ doins -r contrib/sieve_vacation
+}
+
+pkg_postinst() {
+ ebegin "Updating class cache and locales"
+ "${EROOT}"usr/sbin/update-gosa
+ eend $?
+}
diff --git a/net-nds/gosa-plugin-mail/metadata.xml b/net-nds/gosa-plugin-mail/metadata.xml
new file mode 100644
index 00000000000..a59694fc88c
--- /dev/null
+++ b/net-nds/gosa-plugin-mail/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>dev-zero@gentoo.org</email>
+ <name>Tiziano Müller</name>
+ </maintainer>
+ <upstream>
+ <changelog>http://oss.gonicus.de/pub/gosa/Changelog</changelog>
+ </upstream>
+</pkgmetadata>